Summary:	french dictionary for words
Name:		wfrench
Version:	1.2.6
Release:	%mkrel 1
License:	GPLv2+
Group:		Office/Dictionary
Source0:	http://http.debian.net/debian/pool/main/w/%{name}/%{name}_%{version}.orig.tar.gz
BuildArch:	noarch

%description
French dictionary for words

%prep
%setup -q

#%build
#make

%install
%{__mkdir_p}  $RPM_BUILD_ROOT/%{_datadir}/dict
perl -p -e "s~e\'~é~g;s~e\`~è~g;s~e\^~ê~g;s~a\`~à~g;s~a\^~â~g;s~i\^~î~g;s~o\^~ô~g;s~U\`~ù~g;s~u\^~û~g;s~c,~ç~g;s~E\'~É~g;s~E\`~È~g;s~E\^~Ê~g;s~A\`~À~g;s~A\^~Â~g;s~I\^~Î~g;s~O\^~Ô~g;s~u\`~Ù~g;s~U\^~Û~g;s~C,~ç~g" -e ';s~e"~ë~g;s~a"~ä~g;s~i"~ï~g;s~o"~ö~g;s~u"~ü~g;s~E"~Ë~g;s~A"~Ä~g;s~I"~Ï~g;s~O"~Ö~g;s~U"~Ü~g' dico > $RPM_BUILD_ROOT/%{_datadir}/dict/french

%post
ln -sf %{_datadir}/dict/french %{_datadir}/dict/web2

%files
%{_datadir}/dict/french


%changelog
* Mon Aug 24 2020 bcornec <bcornec> 1.2.6-1.mga8
+ Revision: 1618439
- Update wfrench to upstream 1.2.6

* Fri Feb 14 2020 umeabot <umeabot> 1.2.4-2.mga8
+ Revision: 1519323
- Mageia 8 Mass Rebuild

* Thu Oct 11 2018 bcornec <bcornec> 1.2.4-1.mga7
+ Revision: 1319476
- Update to upstream wfrench 1.2.4

* Wed Sep 19 2018 umeabot <umeabot> 1.2.3-7.mga7
+ Revision: 1277138
- Mageia 7 Mass Rebuild

* Thu Feb 04 2016 umeabot <umeabot> 1.2.3-6.mga6
+ Revision: 936248
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.2.3-5.mga5
+ Revision: 746308
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.2.3-4.mga5
+ Revision: 690300
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.2.3-3.mga4
+ Revision: 520108
- Mageia 4 Mass Rebuild

* Mon Jan 14 2013 umeabot <umeabot> 1.2.3-2.mga3
+ Revision: 385684
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 bcornec <bcornec> 1.2.3-1.mga3
+ Revision: 298541
- Filter the french dict accents to be UTF8 compliant
- Adds a french dictionary for the words program as an alternate one
- Created package structure for wfrench.

